Kubernetes
List node pools
get
/kubernetes/{cluster_uuid}/node-pools/View all node pools in a Kubernetes cluster with their workers and configuration.
Authorization
Authorization
Authorization*string
Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.
Path parameters
cluster_uuid*string
Responses
Successful Response
application/json
array<NodePoolOut>
uuid*string
name*string
plan*PlanSummaryOut
Properties (6)
id*integer
name*string
ram*integer
cpu*integer
storage*integer
price_per_hour*number
desired_nodes*integer
min_nodes*integer
max_nodes*integer
labels?record<string, any> | null
taints?array<any> | null
auto_scale*boolean
auto_repair*boolean
nodes*array<WorkerNodeOut>
Properties (8)
vps_id*integer
vps_name*string
vps_status*string
k8s_status*string
floating_ip?string | null
private_ip?string | null
node_name?string | null
health?K8sNodeHealthOut | null
What the Kubernetes API last reported about a worker node.
Properties (8)
ready*boolean
conditions*K8sNodeConditionsOut
Properties (3)
memory_pressure*boolean
disk_pressure*boolean
pid_pressure*boolean
unschedulable*boolean
kubelet_version*string
allocatable*K8sNodeAllocatableOut
Properties (3)
cpu_m*integer
mem_bytes*integer
pods*integer
usage?K8sNodeUsageOut | null
Properties (2)
cpu_m*integer
mem_bytes*integer
ready_since?integer | null
last_seen_at*integer
created_at*string
Format
date-time